List Sspi Upgrade Steps

List Sspi Upgrade Steps
List available pre-checks and upgrade step definitions

Retrieves the list of all pre-checks and upgrade step definitions. This endpoint provides visibility into the upgrade workflow phases and pre-checks validations that will be executed, enabling the UI to display the upgrade process to the user before execution.

The steps are listed in the order they will be executed during the upgrade process. This endpoint returns step definitions only, not execution status. To retrieve execution status and progress, use GET /upgrade/status.

Request
URI
GET
https://{api_host}/sspi/upgrade
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Upgrade step definitions retrieved successfully. The response contains a list of all upgrade step definitions in the order they will execute.

Returns SspiUpgradeStepList of type(s) application/json
This response body class contains all of the following: ListResult , InlineSspiUpgradeStepList1
{
    "offset": 0,
    "number_of_results": 0,
    "total_result_count": 0,
    "total_pages": 0,
    "sort_ascending": false,
    "sort_by": "string",
    "results": [
        {
            "_create_time": 0,
            "_last_modified_time": 0,
            "id": "string",
            "display_name": "string",
            "description": "string",
            "activity_status_msg": "string",
            "_completed_at": 0
        }
    ],
    "pre_checks": [
        {
            "_create_time": 0,
            "_last_modified_time": 0,
            "id": "string",
            "display_name": "string",
            "description": "string",
            "activity_status_msg": "string",
            "_completed_at": 0
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error occurred while retrieving upgrade step definitions. Consult the error response details and system logs for diagnostic information.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sspi/upgrade